import { Code, CodeTypes, ICode, MachineType, MachineTypes, Parameters, Variant } from './types';
export declare class GReference {
    private machineType?;
    private variant?;
    private _gcode;
    private _mcode;
    private _machineType;
    private _variant;
    constructor(machineType?: MachineTypes | undefined, variant?: import("./types").Variants | undefined);
    private _buildReference;
    private _cleanCode;
    getType(): MachineType;
    setType(type: MachineType): void;
    isVariant(): boolean;
    getVariant(): Variant | undefined;
    setVariant(variant: Variant | undefined): void;
    removeVariant(): void;
    get(code: string): Code | undefined;
    getDesc(code: string): string | undefined;
    getShortDesc(code: string): string | undefined;
    getParams(code: string, req?: boolean): Parameters | undefined;
    getAllCodes(codeType: CodeTypes): ICode | undefined;
    getCodeAsMarkdown(code: string): string | undefined;
    getAllCodesAsMarkdown(codeType: CodeTypes): string | undefined;
    getCodeAsHTML(code: string, partial?: boolean): string | undefined;
    getAllCodesAsHTML(codeType: CodeTypes, partial?: boolean): string | undefined;
}
