import { CodeType, ICode } from './codes';
import { MachineType } from './machinetypes';
import { Variant } from './variants';
export interface CNCCodes {
    type: CodeType;
    machineType: MachineType;
    variant: {
        name: Variant;
        remove: Array<string>;
    };
    title: string;
    description: string;
    keywords: Array<string>;
    codes: ICode;
}
