import { Category } from './categories';
import { Parameters } from './parameters';
export declare type Code = {
    category: Category;
    modal?: boolean;
    shortDesc: string;
    desc?: string;
    parameters: Parameters;
};
export interface ICode extends Record<string, Code> {
    [code: string]: Code;
}
export declare enum CodeTypes {
    G = "gcode",
    M = "mcode"
}
export declare type CodeType = CodeTypes;
